// Добавить вверху страницы горизонтальное меню со ссылкой на все разделы страницы.
// При клике на ссылку - плавно прокручивать страницу вниз до выбранного места.
// Если прокрутить страницу больше чем на 1 экран вниз, справа внизу должна появляться кнопка "Наверх" с фиксированным позиционариванием. При клике на нее - плавно прокрутить страницу в самый верх.
// Добавить под одной из секций кнопку, которая будет выполнять функцию slideToggle() (прятать и показывать по клику) для данной секции.



// функция анимации и действия ссылки якоря
//ищим все ссылки с нужным классом и вещаем на них функцию при клике

$('a.anchor').on('click', function (event) {
    //записываем текущий элемент
    let $yakor = $(this)
    //обращаемся к html, body и делаем стоп
    $('html, body')
        .stop()
        //создаем анимацию
        .animate(
            {
                // ищем элемент с нужным айди и скроллим его на самый вверх(offset().top)
                scrollTop: $($yakor.attr('href')).offset().top
            },
            {
                //указываем анимацию, как будет проходить скролл
                duration: 2000,
                specialEasing: {
                    with: 'linear',
                    height: 'easeInOutCubic',
                },
            }
        )
        //
        event.preventDefault()
})



// функция появления кнопки наверх и её анимация
function toTop () {

    let button = $('.top');
    $(window).on('scroll', () => {
        if($(this).scrollTop()>=300) {
            button.fadeIn();
        } else {
            button.fadeOut();
        }
    });
    button.on('click', (event) =>{
        event.preventDefault();
        $('html, body').animate(
            {
                scrollTop: 0
            }, 1000);
    })
}

toTop ();

// спрятать и показать по клике секцию

$(function () {
    $('.show').click(function (){
        $('.section-popular-clients').slideToggle();
    });
})